Acontext
Learning_spacesIdLearn

Learn from session

POST
/learning_spaces/{id}/learn

Create an async learning record from a session. Initially stays in pending status.

Authorization

BearerAuth
Authorization<token>

Project Bearer token (e.g., "Bearer sk-ac-xxxx")

In: header

Path Parameters

id*string

Learning space UUID

Request Body

application/json

Learn request

TypeScript Definitions

Use the request body type in TypeScript.

session_id*string

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/learning_spaces/string/learn" \  -H "Content-Type: application/json" \  -d '{    "session_id": "session-uuid"  }'
{
  "code": 0,
  "error": "string",
  "msg": "string",
  "data": {
    "created_at": "string",
    "id": "string",
    "learning_space_id": "string",
    "session_id": "string",
    "status": "string",
    "updated_at": "string"
  }
}
{
  "code": 0,
  "error": "string",
  "msg": "string"
}
{
  "code": 0,
  "error": "string",
  "msg": "string"
}